# - Config file for the tigl3_cpp package


include(CMakeFindDependencyMacro)

if (NOT tigl3_FOUND)
    find_package(tigl3
        REQUIRED
        PATHS "${CMAKE_CURRENT_LIST_DIR}/.." NO_DEFAULT_PATH
    )
endif()


if ()
  find_package(Boost COMPONENTS filesystem thread atomic chrono date_time REQUIRED)
endif()

set (OCC_LIBS_REQUIRED "TKIGES;TKSTL;TKSTEP;TKSTEPAttr;TKOffset;TKMesh;TKSTEP209;TKFillet;TKSTEPBase;TKBool;TKXSBase;TKShHealing;TKBO;TKPrim;TKTopAlgo;TKGeomAlgo;TKBRep;TKGeomBase;TKG3d;TKG2d;TKMath;TKernel")

if (0)
  find_package(OCE  EXACT COMPONENTS ${OCC_LIBS_REQUIRED} REQUIRED)
  set(OpenCASCADE_INCLUDE_DIR ${OCE_INCLUDE_DIRS})
endif()

if (1)
  find_package(OpenCASCADE 7.4.0 EXACT REQUIRED)
endif()

set_target_properties(TKernel PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${OpenCASCADE_INCLUDE_DIR}")

if ()
  find_package(GLOG REQUIRED)
endif()

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET tigl3_cpp)
  include("${CMAKE_CURRENT_LIST_DIR}/tigl3_cpp-targets.cmake")
endif()

